<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:16 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.tooling.model.eclipse Class Hierarchy (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.tooling.model.eclipse Class Hierarchy (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/tooling/model/build/package-tree.html">Prev</a></li>
<li><a href="../../../../../org/gradle/tooling/model/gradle/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/tooling/model/eclipse/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.gradle.tooling.model.eclipse</h1>
<span class="strong">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.gradle.tooling.model.eclipse.<a href="../../../../../org/gradle/tooling/model/eclipse/AccessRule.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">AccessRule</span></a></li>
<li type="circle">org.gradle.tooling.model.eclipse.<a href="../../../../../org/gradle/tooling/model/eclipse/ClasspathAttribute.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">ClasspathAttribute</span></a></li>
<li type="circle">org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/Dependency.html" title="interface in org.gradle.tooling.model"><span class="strong">Dependency</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/ExternalDependency.html" title="interface in org.gradle.tooling.model"><span class="strong">ExternalDependency</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.eclipse.<a href="../../../../../org/gradle/tooling/model/eclipse/EclipseExternalDependency.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">EclipseExternalDependency</span></a> (also extends org.gradle.tooling.model.eclipse.<a href="../../../../../org/gradle/tooling/model/eclipse/EclipseClasspathEntry.html" title="interface in org.gradle.tooling.model.eclipse">EclipseClasspathEntry</a>)</li>
</ul>
</li>
<li type="circle">org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/ProjectDependency.html" title="interface in org.gradle.tooling.model"><span class="strong">ProjectDependency</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.eclipse.<a href="../../../../../org/gradle/tooling/model/eclipse/EclipseProjectDependency.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">EclipseProjectDependency</span></a> (also extends org.gradle.tooling.model.eclipse.<a href="../../../../../org/gradle/tooling/model/eclipse/EclipseClasspathEntry.html" title="interface in org.gradle.tooling.model.eclipse">EclipseClasspathEntry</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.tooling.model.eclipse.<a href="../../../../../org/gradle/tooling/model/eclipse/EclipseBuildCommand.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">EclipseBuildCommand</span></a></li>
<li type="circle">org.gradle.tooling.model.eclipse.<a href="../../../../../org/gradle/tooling/model/eclipse/EclipseClasspathEntry.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">EclipseClasspathEntry</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.eclipse.<a href="../../../../../org/gradle/tooling/model/eclipse/EclipseClasspathContainer.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">EclipseClasspathContainer</span></a></li>
<li type="circle">org.gradle.tooling.model.eclipse.<a href="../../../../../org/gradle/tooling/model/eclipse/EclipseExternalDependency.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">EclipseExternalDependency</span></a> (also extends org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/ExternalDependency.html" title="interface in org.gradle.tooling.model">ExternalDependency</a>)</li>
<li type="circle">org.gradle.tooling.model.eclipse.<a href="../../../../../org/gradle/tooling/model/eclipse/EclipseProjectDependency.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">EclipseProjectDependency</span></a> (also extends org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/ProjectDependency.html" title="interface in org.gradle.tooling.model">ProjectDependency</a>)</li>
<li type="circle">org.gradle.tooling.model.eclipse.<a href="../../../../../org/gradle/tooling/model/eclipse/EclipseSourceDirectory.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">EclipseSourceDirectory</span></a> (also extends org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/SourceDirectory.html" title="interface in org.gradle.tooling.model">SourceDirectory</a>)</li>
</ul>
</li>
<li type="circle">org.gradle.tooling.model.eclipse.<a href="../../../../../org/gradle/tooling/model/eclipse/EclipseJavaSourceSettings.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">EclipseJavaSourceSettings</span></a></li>
<li type="circle">org.gradle.tooling.model.eclipse.<a href="../../../../../org/gradle/tooling/model/eclipse/EclipseLinkedResource.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">EclipseLinkedResource</span></a></li>
<li type="circle">org.gradle.tooling.model.eclipse.<a href="../../../../../org/gradle/tooling/model/eclipse/EclipseOutputLocation.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">EclipseOutputLocation</span></a></li>
<li type="circle">org.gradle.tooling.model.eclipse.<a href="../../../../../org/gradle/tooling/model/eclipse/EclipseProjectNature.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">EclipseProjectNature</span></a></li>
<li type="circle">org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/Model.html" title="interface in org.gradle.tooling.model"><span class="strong">Model</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/Element.html" title="interface in org.gradle.tooling.model"><span class="strong">Element</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/HierarchicalElement.html" title="interface in org.gradle.tooling.model"><span class="strong">HierarchicalElement</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.eclipse.<a href="../../../../../org/gradle/tooling/model/eclipse/HierarchicalEclipseProject.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">HierarchicalEclipseProject</span></a> (also extends org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/HasGradleProject.html" title="interface in org.gradle.tooling.model">HasGradleProject</a>)
<ul>
<li type="circle">org.gradle.tooling.model.eclipse.<a href="../../../../../org/gradle/tooling/model/eclipse/EclipseProject.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">EclipseProject</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/ProjectModel.html" title="interface in org.gradle.tooling.model"><span class="strong">ProjectModel</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/HasGradleProject.html" title="interface in org.gradle.tooling.model"><span class="strong">HasGradleProject</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.eclipse.<a href="../../../../../org/gradle/tooling/model/eclipse/HierarchicalEclipseProject.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">HierarchicalEclipseProject</span></a> (also extends org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/HierarchicalElement.html" title="interface in org.gradle.tooling.model">HierarchicalElement</a>)
<ul>
<li type="circle">org.gradle.tooling.model.eclipse.<a href="../../../../../org/gradle/tooling/model/eclipse/EclipseProject.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">EclipseProject</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/SourceDirectory.html" title="interface in org.gradle.tooling.model"><span class="strong">SourceDirectory</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.eclipse.<a href="../../../../../org/gradle/tooling/model/eclipse/EclipseSourceDirectory.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">EclipseSourceDirectory</span></a> (also extends org.gradle.tooling.model.eclipse.<a href="../../../../../org/gradle/tooling/model/eclipse/EclipseClasspathEntry.html" title="interface in org.gradle.tooling.model.eclipse">EclipseClasspathEntry</a>)</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/tooling/model/build/package-tree.html">Prev</a></li>
<li><a href="../../../../../org/gradle/tooling/model/gradle/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/tooling/model/eclipse/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
